Skip to main content
Python
import os
from openlayer import Openlayer

client = Openlayer(
    api_key=os.environ.get("OPENLAYER_API_KEY"),
)
rows = client.inference_pipelines.rows.list(
    inference_pipeline_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(rows.items)
import Openlayer from 'openlayer';

const client = new Openlayer({
apiKey: process.env['OPENLAYER_API_KEY'],
});

const rows = await client.inferencePipelines.rows.list('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');

console.log(rows.items);
package main

import (
"context"
"fmt"

"github.com/openlayer-ai/openlayer-go"
"github.com/openlayer-ai/openlayer-go/option"
)

func main() {
client := openlayer.NewClient(
option.WithAPIKey("My API Key"),
)
rows, err := client.InferencePipelines.Rows.List(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
openlayer.InferencePipelineRowListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", rows.Items)
}
package com.openlayer.api.example;

import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.inferencepipelines.rows.RowListParams;
import com.openlayer.api.models.inferencepipelines.rows.RowListResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();

RowListResponse rows = client.inferencePipelines().rows().list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}
require "openlayer"

openlayer = Openlayer::Client.new(api_key: "My API Key")

rows = openlayer.inference_pipelines.rows.list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")

puts(rows)
curl --request POST \
--url https://api.openlayer.com/v1/inference-pipelines/{inferencePipelineId}/rows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
{
  "items": [
    {
      "openlayer_row_id": 1
    }
  ]
}
{
"success": true
}
{
"code": 123,
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

inferencePipelineId
string<uuid>
required

The inference pipeline id (a UUID).

Query Parameters

page
integer
default:1

The page to return in a paginated query.

Required range: x >= 1
perPage
integer
default:25

Maximum number of items to return per page.

Required range: 1 <= x <= 100
sortColumn
string

Name of the column to sort on

asc
boolean
default:true

Whether or not to sort on the sortColumn in ascending order.

Body

application/json
columnFilters
(SetColumnFilter · object | NumericColumnFilter · object | StringColumnFilter · object)[] | null
Maximum array length: 5
Example:
{
"measurement": "openlayer_token_set",
"operator": "contains_none",
"value": ["cat"]
}
searchQueryOr
string[] | null
Maximum string length: 300
searchQueryAnd
string[] | null
Maximum string length: 300
notSearchQueryOr
string[] | null
Maximum string length: 300
notSearchQueryAnd
string[] | null
Maximum string length: 300
rowIdList
integer[] | null
excludeRowIdList
integer[] | null

Response

Status OK.

items
object[]
required